Package twisted :: Package spread :: Module pb :: Class BrokerFactory

[show private | hide private]
[frames | no frames]

## Class BrokerFactory

      Factory --+
                |
    Versioned --+
                |
               BrokerFactory

I am a server for object brokerage.

Method Summary
| `__init__(self, objectToBroker)`
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``buildProtocol`(self, addr)` Return a Broker attached to me (as the service provider).
| `config_objectToBroker(self, newObject)`
| `configInit(self, container, name)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `getConfiguration(self)`
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)
| `upgradeToVersion2(self)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`str` | `configName`
`dict` | `configTypes`
`int` | `persistenceVersion`

Method Details

### buildProtocol(self, addr)

Return a Broker attached to me (as the service provider).

Class Variable Details

### configName

  Type:
    `str`
  Value:

        'PB Broker Factory'

### configTypes

  Type:
    `dict`
  Value:

        {'objectToBroker': <class twisted.spread.flavors.Root at 0x847cd2c>}

### persistenceVersion

  Type:
    `int`
  Value:

        3

Generated by Epydoc 1.1 on Thu May 8 13:16:54 2003 | http://epydoc.sf.net